%
%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{eitam}[08/02/2017, v0.1]

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions \relax

\LoadClass[a4paper,12pt,twoside]{article}
%\LoadClass{article}

\RequirePackage[defaultlines=1]{nowidow}
\RequirePackage{etoolbox}
\RequirePackage{xcolor}
%\RequirePackage{fancyhdr,graphicx,xcolor,colortbl}
\RequirePackage[hidelinks]{hyperref}
\hypersetup{
    colorlinks,
    linkcolor={black},
    citecolor={black},
    urlcolor={black}
}
 \RequirePackage{ifxetex,ifluatex}
\newif\ifxetexorluatex
\ifxetex
  \xetexorluatextrue
\else
  \ifluatex
    \xetexorluatextrue
  \else
    \xetexorluatexfalse
  \fi
\fi
\ifxetexorluatex
  \RequirePackage{fontspec}
  \newfontfamily\verdana{Verdana}
  \setmainfont{Arial}
\else
  \RequirePackage[T1]{fontenc}
  \RequirePackage[utf8x]{inputenc}
  \newcommand\verdana[1]{{\usefont{T1}{verdana}{m}{n} #1 }}
  \RequirePackage[scaled=.93]{helvet}
  \renewcommand{\familydefault}{\sfdefault}
\fi
%\RequirePackage{hyperref}
\RequirePackage[none]{hyphenat}
\RequirePackage[english,portuguese]{babel}
%\RequirePackage[noenc]{tipa}
%WORD-LIKE Times New Roman
% \RequirePackage{mathptmx}

% \RequirePackage{courier}
\RequirePackage{titlesec}
\RequirePackage{xcolor}
\RequirePackage{color}
\RequirePackage{titling}
\RequirePackage{indentfirst}
% \RequirePackage{microtype}
% \RequirePackage[normalem]{ulem}
\RequirePackage{amsmath}
%\RequirePackage{wasysym}
%\RequirePackage{amssymb,amsfonts,textcomp}
%\RequirePackage[labelformat=empty]{caption}
\RequirePackage{soulutf8}
\RequirePackage{array}
\RequirePackage{hhline}
\RequirePackage{float}

\RequirePackage{xpatch}
\RequirePackage[hang,flushmargin]{footmisc}
\RequirePackage{setspace}
\RequirePackage{scrextend}
\RequirePackage[alf,abnt-full-initials=yes]{abntex2cite}
\RequirePackage[pdftex]{graphicx}
\RequirePackage{caption}
\DeclareCaptionType[fileext=loc]{example}[Ex.][List of Examples]

\definecolor{cinzamed}{RGB}{76,76,76}
\definecolor{electricyellow}{rgb}{1.0, 1.0, 0.0}
\sethlcolor{electricyellow}

\RequirePackage[
includeheadfoot, headsep=1cm,top=2cm, bottom=3cm, outer=4cm, inner=2.5cm, headsep=14pt]{geometry}

\RequirePackage{footmisc}
\setlength{\footnotemargin}{2mm}
\setlength{\footnotesep}{2mm}
\addtolength{\footskip}{2mm}

\addto\captionsportuguese{\renewcommand\figurename{Fig.}}
\captionsetup[figure]{font={footnotesize, sf,color=cinzamed},labelfont=bf,labelsep=endash,margin=1cm,justification=centering}

\captionsetup[example]{font={footnotesize, sf,color=cinzamed},labelfont=bf,labelsep=endash,margin=1cm,justification=centering}

% \RequirePackage[
% includeheadfoot,
% headheight=12pt,
% headsep=1cm,
% left=2.5cm,right=2.5cm,top=1cm,bottom=1.65cm]{geometry}
\apptocmd{\thebibliography}{\setstretch{1}\setlength{\itemsep}{-4pt}}{}{}
\titlespacing*{\section}
{0cm}{0pt}{0pt}
% \titlespacing*{\subsection}
% {0pt}{2cm}{12pt}

\titleformat{\section}
{
\color{cinzamed}\vspace{8pt}\normalfont\normalsize\bfseries}
{\thesection. }
{0pt}
{ }
% \def\@seccntformat#1{\csname the#1\endcsname\hspace*{0.5em}$|$\hspace*{0.5em}}
% \makeatletter
% \renewcommand\section{\@startsection {section}{1}{\z@}%
%                                    {}%
%                                    {}%
%                                    {\normalfont\bfseries\hspace*{2cm}}}
%                                    \par
% \makeatother


\hyphenchar\font=-1
\sloppy

\usepackage{fancyhdr}
\pagestyle{fancy}

 \lhead{ }
 \rhead{ }
 \chead{ }
% \chead{{\rmfamily
% \spaceskip=0.9\fontdimen2\font plus 1\fontdimen3\font
% minus 1\fontdimen4\font
% %\fontsize{9.7}{9.7}\selectfont
% \footnotesize
% \includegraphics[width=0.6cm]{anppomlogo.png}{ \ \ }XXVII Congresso da Associação Nacional de Pesquisa e Pós-Graduação em Música -- Campinas - 2017 }}

\renewcommand{\headrulewidth}{0pt}
%\pagestyle{Standard}




%%COR DO MARCADOR


%%INCLUIR LINHA ANTES DAS NOTAS FINAIS
% \makeatletter
% \def\enoteheading{\section*{\notesname
%   \@mkboth{\MakeUppercase{\notesname}}{\MakeUppercase{\notesname}}}%
%   \mbox{}\par\vskip-0.05cm\baselineskip\noindent\rule{.32\textwidth}{0.4pt}\par\vskip\baselineskip}
% \makeatother

\def\enoteheading{\vspace*{0.45cm}
                  \footnoterule%
                  \vspace*{0.2cm}
                  }

%\renewcommand{\enotesize}{\normalsize}
% \renewcommand\enoteformat{%
%   \raggedright
%   \leftskip=0em
%   \noindent
%   %\makebox[0pt][r]{
%   {\textsuperscript{\theenmark}{\ht\strutbox+\baselineskip}}
%   %}%
% }



% \makeatletter
% \let\printtitle\@title
% \let\printauthor\@author
% \let\printdate\@date
% \makeatother

\newcommand{\resumo}[1]{
\setstretch{1.045}
\spaceskip=1.2\fontdimen2\font plus 1.2\fontdimen3\font
minus 1\fontdimen4\font
\begin{addmargin}[4cm]{0em}
  \footnotesize
{\textbf{Resumo}: #1}
\end{addmargin}
\vskip 4pt
}

\newcommand{\abstractf}[1]{
\setstretch{1.045}
\spaceskip=1.2\fontdimen2\font plus 1.2\fontdimen3\font
minus 1\fontdimen4\font
\begin{addmargin}[4cm]{0em}
  \footnotesize
{\textbf{Abstract}: #1}
\end{addmargin}
\vskip 4pt
}

\newcommand{\palavraschave}[1]{
\setstretch{1.045}
\spaceskip=1.2\fontdimen2\font plus 1.2\fontdimen3\font
minus 1\fontdimen4\font
\begin{addmargin}[4cm]{0em}
  \footnotesize
{\textbf{Palavras-chave}: #1}
\end{addmargin}
\vskip 4pt
}

\newcommand{\keywordsf}[1]{
\setstretch{1.045}
\spaceskip=1.2\fontdimen2\font plus 1.2\fontdimen3\font
minus 1\fontdimen4\font
\begin{addmargin}[4cm]{0em}
  \footnotesize
{\textbf{Keywords}: #1}
\end{addmargin}
\vskip 4pt
\vskip 12pt
}

\newcommand{\titlef}[1]{
\setstretch{1.045}
\spaceskip=1.2\fontdimen2\font plus 1.2\fontdimen3\font
minus 1\fontdimen4\font
\begin{addmargin}[4cm]{0em}
  \footnotesize
{\textbf{Title}: #1}
\end{addmargin}
\vskip 4pt
}

\newcommand{\legenda}[1]{
{
\begin{addmargin}[1cm]{1cm}
\centering
\setstretch{1}
  \footnotesize
{\color{cinzamed} #1}
\end{addmargin}
\par
\vskip 12pt
}
}

\newcommand{\imagem}[1]{
{
\centering
#1
\par}
\vspace{6pt}
}

\newcommand{\citacaolonga}[1]{
{
\vspace{12pt}
\setstretch{0.8}
\begin{addmargin}[4cm]{0em}
  {
  \spaceskip=1.2\fontdimen2\font plus 1.2\fontdimen3\font
   minus 1.7\fontdimen4\font

{
\footnotesize
#1}
}
\vspace{24pt}
\end{addmargin}
}
}

\newcommand{\autorinstituicao}[1]{
{\raggedleft
\normalsize
\color{cinzamed} #1\par
}
}

\newcommand{\autorbio}[1]{
{
\setlength\parindent{0cm}
\footnotesize
\color{cinzamed} #1
\par
}
\vskip 6pt
}

\newcommand{\normalpar}{
\setstretch{1.1}
\setlength\parindent{1.5cm}
\setlength{\parskip}{2pt}
\spaceskip=1.4\fontdimen2\font plus 1.5\fontdimen3\font
minus 1.2\fontdimen4\font
\normalsize
}

\newcommand{\notaspar}{
\setstretch{1.045}
\setlength\parindent{0cm}

\spaceskip=1.7\fontdimen2\font plus 1.8\fontdimen3\font
minus 1.6\fontdimen4\font

\footnotesize
}

\newcommand{\referencias}{
\setstretch{1.045}
\setlength\parindent{0cm}
%\setlength\parindent{2cm}

\spaceskip=1.7\fontdimen2\font plus 1.8\fontdimen3\font
minus 1.6\fontdimen4\font

\normalsize
}

\makeatletter
\def\@maketitle{%
  \newpage
  %\null
  \vspace*{0cm}
  \vskip 40pt
  \setstretch{1.15}
  \begin{addmargin}[2cm]{0em}
    {
    \fontsize{16.5}{16.5}\selectfont {\color{cinzamed} \verdana
    \@title }
      }
    %{\large \@date}%
    \end{addmargin}
    \vskip 20pt
    \pagenumbering{gobble}
  }
\makeatother
